Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jimi.core.decoder.gif
Class GIFDecoder

    java.lang.Object
      |
      +--com.sun.jimi.core.util.ProgressMonitorSupport
            |
            +--com.sun.jimi.core.compat.JimiDecoderBase
                  |
                  +--com.sun.jimi.core.decoder.gif.GIFDecoder

public class GIFDecoder
extends JimiDecoderBase

Image decoder for image data stored in GIF file format. This is a simple decoder and is only setup to load a single image from the input stream initially. The Aspect Ratio field of the header is not supported. Plane text blocks are not supported. Aplication extensions blocks are not supported. Comments blocks are not supported.

Field Summary
`protected int` | `numberOfLoops_`

Fields inherited from class com.sun.jimi.core.compat.JimiDecoderBase
`busyDecoding, cleanupCommands, currentController, currentHandle, decodingLock, error, ERROR, factory, finishedDecoding, IMAGEAVAIL, INFOAVAIL, input, jimiImage, MOREIMAGES, MULTIIMAGE, UNKNOWNCOUNT`

Fields inherited from class com.sun.jimi.core.util.ProgressMonitorSupport
`currentProgressLevel, progressListener`

Constructor Summary
`GIFDecoder()`

Method Summary
`boolean` | `driveDecoder()`
`void` | `freeDecoder()`
`int` | `getCapabilities()`
`AdaptiveRasterImage` | `getJimiImage()`
`void` | `getNextImage(LEDataInputStream in, AdaptiveRasterImage ji)`
`int` | `getNumberOfImages()`
`int` | `getState()`
`void` | `initDecoder(java.io.InputStream in, AdaptiveRasterImage ji)`
`boolean` | `mustWaitForOptions()`
`void` | `setJimiImage(AdaptiveRasterImage ji)`
`void` | `skipImage()` This needs to decompress image and add to history because of the way that multi frame GIF is created.
`boolean` | `usesChanneledData()`

Methods inherited from class com.sun.jimi.core.compat.JimiDecoderBase
`addCleanupCommand, createAdaptiveRasterImage, createAdaptiveRasterImage, decodeNextImage, finishedDecode, initDecoding, jimiImageCreated, run, setFinished, waitReady`

Methods inherited from class com.sun.jimi.core.util.ProgressMonitorSupport
`setProgress, setProgressListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### numberOfLoops_

    protected int numberOfLoops_

Constructor Detail

### GIFDecoder

    public GIFDecoder()

Method Detail

### initDecoder

    public void initDecoder(java.io.InputStream in,
                            AdaptiveRasterImage ji)
                     throws JimiException

  Overrides:
    initDecoder in class JimiDecoderBase

### driveDecoder

    public boolean driveDecoder()
                         throws JimiException

  Overrides:
    driveDecoder in class JimiDecoderBase

### freeDecoder

    public void freeDecoder()
                     throws JimiException

  Overrides:
    freeDecoder in class JimiDecoderBase

### getState

    public int getState()

  Overrides:
    getState in class JimiDecoderBase

### getJimiImage

    public AdaptiveRasterImage getJimiImage()

### getNumberOfImages

    public int getNumberOfImages()

  Overrides:
    getNumberOfImages in class JimiDecoderBase

### getNextImage

    public void getNextImage(LEDataInputStream in,
                             AdaptiveRasterImage ji)
                      throws JimiException,
                             java.io.IOException

### getCapabilities

    public int getCapabilities()

  Overrides:
    getCapabilities in class JimiDecoderBase

### setJimiImage

    public void setJimiImage(AdaptiveRasterImage ji)

### skipImage

    public void skipImage()
                   throws JimiException

  This needs to decompress image and add to history because of the way that multi frame GIF is created.
  Overrides:
    skipImage in class JimiDecoderBase

### usesChanneledData

    public boolean usesChanneledData()

  Overrides:
    usesChanneledData in class JimiDecoderBase

### mustWaitForOptions

    public boolean mustWaitForOptions()

  Overrides:
    mustWaitForOptions in class JimiDecoderBase

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD